from django.core.management.base import NoArgsCommand
from optparse import make_option
import sys

class Command(NoArgsCommand):
    option_list = NoArgsCommand.option_list + (
        make_option('--nodetach', action='store_false', dest='detach', default=True,
                    help='Do not detach from console'),)

    def handle_noargs(self, **options):
        if sys.platform.startswith('linux'):
            from twisted.internet import epollreactor
            epollreactor.install()
        
        elif sys.platform.startswith('freebsd'):
            from twisted.internet import kqreactor
            kqreactor.install()

        from radio.conf import monitor
        monitor.start(**options)
