from django.db import models

class Relay(models.Model):
    local_mount = models.CharField(max_length=255, primary_key=True)

    title = models.CharField(max_length=255)
    site = models.CharField(max_length=255, blank=True, default="")

    host = models.CharField(max_length=255)
    port = models.PositiveIntegerField()
    path = models.CharField(max_length=255, default="/")

    up = models.NullBooleanField()
    timestamp = models.DateTimeField(auto_now=True)

    class Meta:
        ordering = ('local_mount',)

    def __unicode__(self):
        return "%s: %s" % (self.local_mount, self.title)
