from django.db import models

from radio.conf.models import Relay

class Log(models.Model):
    relay = models.ForeignKey(Relay, db_index=True)
    title = models.CharField(max_length=255)

    artist = models.CharField(max_length=255, blank=True, null=True)
    track = models.CharField(max_length=255, blank=True, null=True)

    timestamp = models.DateTimeField(auto_now=True, db_index=True)

    class Meta:
        ordering = ('-timestamp',)

    def __unicode__(self):
        return self.title
